<html devsite><head>

  <meta name="book_path" value="/_book.yaml"/>

  <meta name="project_path" value="/_project.yaml"/>
</head>
<body>
<!--
    Copyright 2018 The Android Open Source Project
    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at
    http://www.apache.org/licenses/LICENSE-2.0
    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
-->

<h1 id="sensor_fusion_box_details" class="page-title">传感器融合盒详细信息</h1>

<p>本页提供了有关如何购买或组装传感器融合盒的信息。在 CameraITS sensor_fusion 测试和多摄像头同步测试中，需要使用传感器融合盒。它能够提供一致的测试环境，以便衡量 Android 手机上的摄像头和其他传感器的时间戳准确度。传感器融合盒包含多个根据计算机辅助设计 (CAD) 图纸激光切割而成的塑料盒组件，以及一个伺服器控制箱。</p>

<p>您可以购买或自己制作传感器融合盒。</p>

<h2 id="purchasing_a_sensor_fusion_box">购买传感器融合盒</h2>

<p>要购买传感器融合盒，您最好是选择以下合格的供应商。</p>

<ul>
<li><em>Acu Spec, Inc.</em><br />
990 Richard Ave, Ste 103, Santa Clara, CA 95050<br />
fred@acuspecinc.com  </li>
<li><em>MYWAY DESIGN</em><br />
台湾新北市福营路 163 号 4 楼<br />
sales@myway.tw<br />
http://www.myway.tw/</li>
</ul>

<h2 id="building_a_sensor_fusion_box">制作传感器融合盒</h2>

<p>这一部分逐步介绍了如何使用激光切割的丙烯腈·丁二烯·苯乙烯 (ABS) 组件组装传感器融合盒（如图 1 所示）：</p>

<p><img src="/compatibility/cts/images/sensor_fusion_assembly_box_cad_drawing.png" width="700" alt="传感器融合盒组件的 CAD 图纸" class="screenshot"/><br />
<strong>图 1.</strong> 传感器融合盒组件的机械图纸</p>

<h3 id="required_tools">所需工具</h3>

<p>开始之前，请先确保您已下载传感器融合盒的技术图纸（包含在 <a href="/compatibility/cts/sensor_fusion_1.5.zip">Sensor Fusion Box zip 文件</a>中），并准备好以下工具：</p>

<ul>
<li>十字头螺丝刀</li>
<li>六角扳手</li>
<li>电钻套装</li>
<li>美工刀</li>
<li>胶带</li>
</ul>

<h3 id="step_1_apply_vinyl_stickers">第 1 步：贴乙烯基贴纸</h3>

<p>使用激光切割机制作好 ABS 组件后，在塑料盒上贴上乙烯基贴纸，以便在测试盒内部实现适当的颜色控制：</p>

<ol>
<li>将乙烯基贴纸贴在 ABS 组件的光滑面上（如图 2 所示）。如需关于如何贴乙烯基贴纸的实用提示，请参阅 <a href="https://www.wikihow.com/Install-a-Vinyl-Graphic" class="external">wikiHow</a>。</li>
<li><p>使用美工刀在乙烯基贴纸上裁出必要的孔。</p>

<p><img src="/compatibility/cts/images/sensor_fusion_assembly_abs_pieces.png" width="350" alt="BS 件"/><br />
<strong>图 2.</strong> 光滑面上贴好乙烯基贴纸的 ABS 组件（盒内部）</p></li>
</ol>

<h3 id="step_2_prepare_phone_mount_and_attach_servo_mount">第 2 步：准备手机底座并固定伺服器底座</h3>

<p>要准备手机底座以固定到伺服器上，请执行以下操作：</p>

<ol>
<li><p>在手机夹上攻出 16 个 ¼" - 20 螺纹孔，并在手机夹背面打出锥口孔。</p>

<p><img src="/compatibility/cts/images/sensor_fusion_assembly_phone_fixture_holes.png" width="350" alt="手机夹上的孔"/><br />
<strong>图 3.</strong> 带螺纹孔和锥口孔的手机夹</p></li>
<li><p>在伺服器附带的较大轴上，用 43 号钻头（2.26 毫米）从两侧最靠边的孔中分别钻出一个定位孔，使 4-40 螺钉能够从孔中穿过：</p>

<p><img src="/compatibility/cts/images/sensor_fusion_assembly_servo_shaft.png" width="350" alt="伺服器轴"/><br />
<strong>图 4.</strong> 两端带有定位孔的伺服器轴</p></li>
<li><p>从手机夹正面插入并拧紧 4-40 平头螺钉（如图 5 所示），然后拧紧轴（如图 6 所示）。</p>

<p><img src="/compatibility/cts/images/sensor_fusion_assembly_screws.png" width="350" alt="轴和螺钉"/><br />
<strong>图 5.</strong> 4-40 平头螺钉</p>

<p><img src="/compatibility/cts/images/sensor_fusion_assembly_shaft.png" width="350" alt="轴"/><br />
<strong>图 6.</strong> 手机夹背面的轴（已用从正面拧入的螺钉紧固）</p></li>
</ol>

<h3 id="step_3_attach_phone_clamps">第 3 步：固定手机夹</h3>

<p>要固定手机夹，请执行以下操作：</p>

<ol>
<li><p>将尼龙手拧螺钉和钢丝弹簧固定在铝制夹钳上，并涂上橡胶粘合剂。</p>

<p><img src="/compatibility/cts/images/sensor_fusion_assembly_clamp.png" width="350" alt="涂有橡胶粘合剂的夹钳"/><br />
<strong>图 7.</strong> 涂上橡胶粘合剂并固定好手拧螺钉和钢丝弹簧的夹钳</p></li>
<li><p>将手机夹钳上的手拧螺钉拧入到手机夹的螺纹孔中（如图 8 所示）。您可以根据手机大小调整手机底座的位置（如图 9 所示）。</p>

<ul>
<li><p>机械图纸：</p>

<p><img src="/compatibility/cts/images/sensor_fusion_assembly_clamp_attachment_drawing.png" width="600" alt="关于固定夹钳的 CAD 图纸" class="screenshot"/><br />
<strong>图 8.</strong> 夹钳固定在手机夹上的机械图纸</p></li>
<li><p>手机底座固定在手机夹上的效果：</p>

<p><img src="/compatibility/cts/images/sensor_fusion_assembly_assembled_fixture.png" width="350" alt="组装好的手机夹"/><br />
<strong>图 9.</strong> 组装好的手机夹</p></li>
</ul></li>
</ol>

<h3 id="step_4_assemble_sliding_door_rail">第 4 步：组装滑动门导轨</h3>

<ol>
<li><p>在盒子顶部和底部安装滑动板导轨（朝向前方）。图 10 显示的是将 6-32 螺钉固定在预攻螺纹孔中的效果。或者，您也可以使用自攻螺钉。</p>

<p><img src="/compatibility/cts/images/sensor_fusion_assembly_fixed_rail.png" width="450" alt="安装好的导轨"/><br />
<strong>图 10.</strong> 安装在盒子顶部和底部的滑动板导轨</p></li>
</ol>

<h3 id="step_5_attach_lighting">第 5 步：固定灯具</h3>

<p>要固定灯架和漫射膜，请执行以下操作：</p>

<ol>
<li><p>将两个手柄件叠放在一起，然后使用 6-32 螺钉（或自攻螺钉）将其组装起来。</p>

<p><img src="/compatibility/cts/images/sensor_fusion_assembly_handle_pieces.png" width="450" alt="手柄件和组装"/><br />
<strong>图 11.</strong> 传感器融合盒手柄件及组装</p></li>
<li><p>准备 4 组 4-40 螺钉、螺母和盖形螺母，将灯具套件上的安装架固定在盒壁上。</p>

<p><img src="/compatibility/cts/images/sensor_fusion_assembly_interior_wall_screws.png" width="350" alt="内壁上的螺钉和支架"/><br />
<strong>图 12. </strong>盒内壁上的 4-40 螺钉和灯架<br />
<img src="/compatibility/cts/images/sensor_fusion_assembly_exterior_bolts.png" width="350" alt="装有螺栓的外部"/><br />
<strong>图 13.</strong> 从盒外部拧入螺孔的螺栓和盖形螺栓</p></li>
<li><p>将灯光漫射膜裁成合适的尺寸，以便将灯棍包裹起来。</p>

<p><img src="/compatibility/cts/images/sensor_fusion_assembly_light_strips_diffusers.png" width="350" alt="灯棍和灯光漫射膜"/><br />
<strong>图 14.</strong> 灯棍和灯光漫射膜</p></li>
<li><p>将灯光漫射膜裹在灯棍上，然后在背面用胶带粘好。</p>

<p><img src="/compatibility/cts/images/sensor_fusion_assembly_strips_taped_back.png" width="350" alt="从背面用胶带粘好的灯棍和漫射膜"/><br />
<strong>图 15.</strong> 从背面用胶带粘好的灯棍和灯光漫射膜</p></li>
<li><p>将灯具卡入支架（可能会有点紧）。</p>

<p><img src="/compatibility/cts/images/sensor_fusion_assembly_interior_wall_lights.png" width="450" alt="内壁上的灯具"/><br />
<strong>图 16.</strong> 未安装在支架中的灯具（左）。安装在支架中的灯具（右）。</p></li>
</ol>

<h3 id="step_6_attach_phone_fixture_to_servo_plate">第 6 步：将手机夹固定在伺服器板上</h3>

<p>要将手机夹固定在伺服器板上，请执行以下操作：</p>

<ol>
<li><p>准备 4 个 6-32 螺钉和一个伺服器板，以便将伺服器安装到盒壁上。将伺服器固定在内壁上，然后从内测将螺钉插入位于外壁上的伺服器板中。</p>

<p><img src="/compatibility/cts/images/sensor_fusion_assembly_servo_servo_plate.png" width="450" alt="伺服器和伺服器板"/><br />
<strong>图 17.</strong> 使用 6-32 螺钉固定的伺服器和伺服器板</p></li>
<li><p>使用尼龙锁紧螺母将手机夹固定到伺服器上（将轴的中心推入到伺服器的旋转中心）。</p>

<p><img src="/compatibility/cts/images/sensor_fusion_assembly_phone_mount_servo.png" width="450" alt="伺服器上的手机夹"/><br />
<strong>图 18.</strong> 使用尼龙锁紧螺母固定在伺服器轴上的手机底座</p></li>
<li><p>用伺服器螺钉将手机夹固定到伺服器上。</p>

<p><img src="/compatibility/cts/images/sensor_fusion_assembly_servo_screw.png" width="350" alt="伺服器上的手机夹（带有螺钉）"/><br />
<strong>图 19.</strong> 用伺服器螺钉将手机夹固定到伺服器上</p></li>
</ol>

<h3 id="step_7_final_assembly">第 7 步：最终组装</h3>

<p>要完成传感器融合盒的组装，请执行以下操作：</p>

<ol>
<li><p>从外侧用 4-40 螺钉将伺服器控制箱固定在伺服器左侧，并用螺母从内部紧固。</p>

<p><img src="/compatibility/cts/images/sensor_fusion_assembly_servo_on_wall.png" width="450" alt="盒壁上的伺服器控制箱"/><br />
<strong>图 20.</strong> 将伺服器控制箱固定到盒壁上</p></li>
<li><p>用胶带将盒子粘在一起，然后用螺钉将各部件固定到一起（您可能需要在某些部件上预先钻孔）。</p>

<ul>
<li><p>组装传感器融合盒：</p>

<p><img src="/compatibility/cts/images/sensor_fusion_assembly_taped_box.png" width="450" alt="用胶带粘好的盒子"/><br />
<strong>图 21.</strong> 用胶带粘好的盒子（带有电机组件和伺服器控制箱）和螺钉细部视图</p></li>
</ul></li>
<li><p>在 A3 纸（或 11 x 17 英寸的纸）上打印一份彩色的棋盘格（包含在 <a href="/compatibility/cts/sensor_fusion_1.5.zip">Sensor Fusion Box zip 文件</a>中），并用胶带粘到手机夹对面的盒壁上。</p>

<p>放置在手机夹上时，请确保棋盘格中心的红点正对着摄像头（如下所示）。</p>

<p><img src="/compatibility/cts/images/sensor_fusion_assembly_checkerboard.png" width="350" alt="棋盘格"/><br />
<strong>图 22.</strong> 打印出棋盘格并用胶带粘到手机夹对面的盒壁上</p></li>
</ol>

</body></html>